/////////////////////////////////////////////////////////////////////////////
//    License (GPLv2+):
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful, but
//    WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
/////////////////////////////////////////////////////////////////////////////

// fshed.h : main header file for the FSHED application
//

#if !defined(AFX_FSHED_H__BD87E549_34CD_11D5_B4F0_00B0D0719D70__INCLUDED_)
#define AFX_FSHED_H__BD87E549_34CD_11D5_B4F0_00B0D0719D70__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
    #error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CFshedApp:
// See fshed.cpp for the implementation of this class

class CFshedApp : public CWinApp
{
public:
    CFshedApp();
    ~CFshedApp();

// Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CFshedApp)
    public:
    virtual BOOL InitInstance();
    //}}AFX_VIRTUAL
     virtual void WinHelpInternal(DWORD_PTR dwData, UINT nCmd = HELP_CONTEXT);

    CString m_TexteditorName;
    int  m_iBytesPerLine;
    int  m_iOffsetLen;
    BOOL m_bAutomaticBPL;
    BOOL m_bOpenReadOnly;
    BOOL m_bUnsignedView;
    int  m_iCharacterSet;
       int  m_iFontSize;
       int  m_iBinaryMode;
    COLORREF m_clrBmk;
    COLORREF m_clrSelBk;
    COLORREF m_clrSelText;
    COLORREF m_clrText;
    COLORREF m_clrBk;
    COLORREF m_clrSep;

// Implementation
    //{{AFX_MSG(CFshedApp)
    afx_msg void OnAppAbout();
    afx_msg void OnViewOptions();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

#define App ((CFshedApp *)AfxGetApp())

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FSHED_H__BD87E549_34CD_11D5_B4F0_00B0D0719D70__INCLUDED_)
